Package org.apache.sysds.runtime.controlprogram.caching

## Enum CacheStatistics.Stat

- java.lang.Object
- - java.lang.Enum<CacheStatistics.Stat>
  - - org.apache.sysds.runtime.controlprogram.caching.CacheStatistics.Stat

All Implemented Interfaces:
  `Serializable`, `Comparable<CacheStatistics.Stat>`

Enclosing class:
  CacheStatistics

    public static enum CacheStatistics.Stat
    extends Enum<CacheStatistics.Stat>

### Enum Constant Summary

Enum Constants
`CACHE_HITS_FS`
`CACHE_HITS_FSBUFF`
`CACHE_HITS_HDFS`
`CACHE_HITS_LIN`
`CACHE_HITS_MEM`
`CACHE_TIME_ACQM`
`CACHE_TIME_ACQR`
`CACHE_TIME_EXP`
`CACHE_TIME_RLS`
`CACHE_WRITES_FS`
`CACHE_WRITES_FSBUFF`
`CACHE_WRITES_HDFS`
`CACHE_WRITES_LIN`

### Method Summary

All Methods Static Methods Concrete Methods
`static CacheStatistics.Stat` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CacheStatistics.Stat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CACHE_HITS_MEM

    public static final CacheStatistics.Stat CACHE_HITS_MEM

#### CACHE_HITS_FSBUFF

    public static final CacheStatistics.Stat CACHE_HITS_FSBUFF

#### CACHE_HITS_FS

    public static final CacheStatistics.Stat CACHE_HITS_FS

#### CACHE_HITS_HDFS

    public static final CacheStatistics.Stat CACHE_HITS_HDFS

#### CACHE_HITS_LIN

    public static final CacheStatistics.Stat CACHE_HITS_LIN

#### CACHE_WRITES_FSBUFF

    public static final CacheStatistics.Stat CACHE_WRITES_FSBUFF

#### CACHE_WRITES_FS

    public static final CacheStatistics.Stat CACHE_WRITES_FS

#### CACHE_WRITES_HDFS

    public static final CacheStatistics.Stat CACHE_WRITES_HDFS

#### CACHE_WRITES_LIN

    public static final CacheStatistics.Stat CACHE_WRITES_LIN

#### CACHE_TIME_ACQR

    public static final CacheStatistics.Stat CACHE_TIME_ACQR

#### CACHE_TIME_ACQM

    public static final CacheStatistics.Stat CACHE_TIME_ACQM

#### CACHE_TIME_RLS

    public static final CacheStatistics.Stat CACHE_TIME_RLS

#### CACHE_TIME_EXP

    public static final CacheStatistics.Stat CACHE_TIME_EXP

### Method Detail

#### values

    public static CacheStatistics.Stat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheStatistics.Stat c : CacheStatistics.Stat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheStatistics.Stat valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null